com.amazonaws.services.lambda.model

## Class InvokeResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.InvokeResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class InvokeResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Upon success, returns an empty response. Otherwise, throws an exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvokeResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InvokeResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionError()` Indicates whether an error occurred while executing the Lambda function.
`String` `getLogResult()` It is the base64-encoded logs for the Lambda function invocation.
`ByteBuffer` `getPayload()` It is the JSON representation of the object returned by the Lambda function.
`Integer` `getStatusCode()` The HTTP status code will be in the 200 range for successful request.
`int` `hashCode()`
`void` `setFunctionError(String functionError)` Indicates whether an error occurred while executing the Lambda function.
`void` `setLogResult(String logResult)` It is the base64-encoded logs for the Lambda function invocation.
`void` `setPayload(ByteBuffer payload)` It is the JSON representation of the object returned by the Lambda function.
`void` `setStatusCode(Integer statusCode)` The HTTP status code will be in the 200 range for successful request.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`InvokeResult` `withFunctionError(String functionError)` Indicates whether an error occurred while executing the Lambda function.
`InvokeResult` `withLogResult(String logResult)` It is the base64-encoded logs for the Lambda function invocation.
`InvokeResult` `withPayload(ByteBuffer payload)` It is the JSON representation of the object returned by the Lambda function.
`InvokeResult` `withStatusCode(Integer statusCode)` The HTTP status code will be in the 200 range for successful request.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvokeResult

    public InvokeResult()

### Method Detail

#### setStatusCode

    public void setStatusCode(Integer statusCode)

The HTTP status code will be in the 200 range for successful request. For the `RequestResonse` invocation type this status code will be 200. For the `Event` invocation type this status code will be 202. For the `DryRun` invocation type the status code will be 204.

Parameters:
  `statusCode` - The HTTP status code will be in the 200 range for successful request. For the `RequestResonse` invocation type this status code will be 200. For the `Event` invocation type this status code will be 202. For the `DryRun` invocation type the status code will be 204.

#### getStatusCode

    public Integer getStatusCode()

The HTTP status code will be in the 200 range for successful request. For the `RequestResonse` invocation type this status code will be 200. For the `Event` invocation type this status code will be 202. For the `DryRun` invocation type the status code will be 204.

Returns:
  The HTTP status code will be in the 200 range for successful request. For the `RequestResonse` invocation type this status code will be 200. For the `Event` invocation type this status code will be 202. For the `DryRun` invocation type the status code will be 204.

#### withStatusCode

    public InvokeResult withStatusCode(Integer statusCode)

The HTTP status code will be in the 200 range for successful request. For the `RequestResonse` invocation type this status code will be 200. For the `Event` invocation type this status code will be 202. For the `DryRun` invocation type the status code will be 204.

Parameters:
  `statusCode` - The HTTP status code will be in the 200 range for successful request. For the `RequestResonse` invocation type this status code will be 200. For the `Event` invocation type this status code will be 202. For the `DryRun` invocation type the status code will be 204.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionError

    public void setFunctionError(String functionError)

Indicates whether an error occurred while executing the Lambda function. If an error occurred this field will have one of two values; `Handled` or `Unhandled`. `Handled` errors are errors that are reported by the function while the `Unhandled` errors are those detected and reported by AWS Lambda. Unhandled errors include out of memory errors and function timeouts. For information about how to report an `Handled` error, see Programming Model.

Parameters:
  `functionError` - Indicates whether an error occurred while executing the Lambda function. If an error occurred this field will have one of two values; `Handled` or `Unhandled`. `Handled` errors are errors that are reported by the function while the `Unhandled` errors are those detected and reported by AWS Lambda. Unhandled errors include out of memory errors and function timeouts. For information about how to report an `Handled` error, see Programming Model.

#### getFunctionError

    public String getFunctionError()

Indicates whether an error occurred while executing the Lambda function. If an error occurred this field will have one of two values; `Handled` or `Unhandled`. `Handled` errors are errors that are reported by the function while the `Unhandled` errors are those detected and reported by AWS Lambda. Unhandled errors include out of memory errors and function timeouts. For information about how to report an `Handled` error, see Programming Model.

Returns:
  Indicates whether an error occurred while executing the Lambda function. If an error occurred this field will have one of two values; `Handled` or `Unhandled`. `Handled` errors are errors that are reported by the function while the `Unhandled` errors are those detected and reported by AWS Lambda. Unhandled errors include out of memory errors and function timeouts. For information about how to report an `Handled` error, see Programming Model.

#### withFunctionError

    public InvokeResult withFunctionError(String functionError)

Indicates whether an error occurred while executing the Lambda function. If an error occurred this field will have one of two values; `Handled` or `Unhandled`. `Handled` errors are errors that are reported by the function while the `Unhandled` errors are those detected and reported by AWS Lambda. Unhandled errors include out of memory errors and function timeouts. For information about how to report an `Handled` error, see Programming Model.

Parameters:
  `functionError` - Indicates whether an error occurred while executing the Lambda function. If an error occurred this field will have one of two values; `Handled` or `Unhandled`. `Handled` errors are errors that are reported by the function while the `Unhandled` errors are those detected and reported by AWS Lambda. Unhandled errors include out of memory errors and function timeouts. For information about how to report an `Handled` error, see Programming Model.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLogResult

    public void setLogResult(String logResult)

It is the base64-encoded logs for the Lambda function invocation. This is present only if the invocation type is `RequestResponse` and the logs were requested.

Parameters:
  `logResult` - It is the base64-encoded logs for the Lambda function invocation. This is present only if the invocation type is `RequestResponse` and the logs were requested.

#### getLogResult

    public String getLogResult()

It is the base64-encoded logs for the Lambda function invocation. This is present only if the invocation type is `RequestResponse` and the logs were requested.

Returns:
  It is the base64-encoded logs for the Lambda function invocation. This is present only if the invocation type is `RequestResponse` and the logs were requested.

#### withLogResult

    public InvokeResult withLogResult(String logResult)

It is the base64-encoded logs for the Lambda function invocation. This is present only if the invocation type is `RequestResponse` and the logs were requested.

Parameters:
  `logResult` - It is the base64-encoded logs for the Lambda function invocation. This is present only if the invocation type is `RequestResponse` and the logs were requested.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPayload

    public void setPayload(ByteBuffer payload)

It is the JSON representation of the object returned by the Lambda function. This is present only if the invocation type is `RequestResponse`.

In the event of a function error this field contains a message describing the error. For the `Handled` errors the Lambda function will report this message. For `Unhandled` errors AWS Lambda reports the message.

AWS SDK for Java performs a Base64 encoding on this field before sending this request to AWS service by default. Users of the SDK should not perform Base64 encoding on this field.

Warning: ByteBuffers returned by the SDK are mutable. Changes to the content or position of the byte buffer will be seen by all objects that have a reference to this object. It is recommended to call ByteBuffer.duplicate() or ByteBuffer.asReadOnlyBuffer() before using or reading from the buffer. This behavior will be changed in a future major version of the SDK.

Parameters:
  `payload` - It is the JSON representation of the object returned by the Lambda function. This is present only if the invocation type is `RequestResponse`.

  In the event of a function error this field contains a message describing the error. For the `Handled` errors the Lambda function will report this message. For `Unhandled` errors AWS Lambda reports the message.

#### getPayload

    public ByteBuffer getPayload()

It is the JSON representation of the object returned by the Lambda function. This is present only if the invocation type is `RequestResponse`.

In the event of a function error this field contains a message describing the error. For the `Handled` errors the Lambda function will report this message. For `Unhandled` errors AWS Lambda reports the message.

`ByteBuffer`s are stateful. Calling their `get` methods changes their `position`. We recommend using `ByteBuffer.asReadOnlyBuffer()` to create a read-only view of the buffer with an independent `position`, and calling `get` methods on this rather than directly on the returned `ByteBuffer`. Doing so will ensure that anyone else using the `ByteBuffer` will not be affected by changes to the `position`.

Returns:
  It is the JSON representation of the object returned by the Lambda function. This is present only if the invocation type is `RequestResponse`.

  In the event of a function error this field contains a message describing the error. For the `Handled` errors the Lambda function will report this message. For `Unhandled` errors AWS Lambda reports the message.

#### withPayload

    public InvokeResult withPayload(ByteBuffer payload)

It is the JSON representation of the object returned by the Lambda function. This is present only if the invocation type is `RequestResponse`.

In the event of a function error this field contains a message describing the error. For the `Handled` errors the Lambda function will report this message. For `Unhandled` errors AWS Lambda reports the message.

Parameters:
  `payload` - It is the JSON representation of the object returned by the Lambda function. This is present only if the invocation type is `RequestResponse`.

  In the event of a function error this field contains a message describing the error. For the `Handled` errors the Lambda function will report this message. For `Unhandled` errors AWS Lambda reports the message.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public InvokeResult clone()

Overrides:
  `clone` in class `Object`